#== v4.3 == ( 08-04-2026 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] AI System and Integration with OpenAI and Replicate
- [Added] AI Posts Generator
- [Added] AI Blogs Generator
- [Added] AI Images Generator
- [Added] AI Credit System
- [Added] Publisher Rich Text Editor
- [Added] Publisher #Hashtags Autocomplete
- [Added] Monetization Discounts
- [Added] Monetization Coupons
- [Added] Collaborative Posts
- [Added] Revamp Watch Module
- [Added] Blogs References
- [Added] Blogs Co-Authors
- [Added] Blogs Section To Profiles
- [Added] Blogs Section To Pages
- [Added] Blogs Section To Groups
- [Added] Blogs Section To Events
- [Added] Smart YouTube Player For Movies
- [Added] Disable YouTube Player For Movies
- [Added] Fullscreen For Games
- [Added] Delete All Notifications

- [Fixed] Minor Bugs
- [Fixed] Links in Posts Open in Same Window

#== v4.2.1 == ( 30-12-2025 )
- [Fixed] Minor Bugs

#== v4.2 == ( 20-12-2025 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] Packages Payments History For User Settings
- [Added] Boosted Groups System
- [Added] Boosted Events System
- [Added] Plisio Payments
- [Added] Hidden Packages
- [Added] Admin Ability To Turn Digital Products On/Off
- [Added] AgeVerif Service
- [Added] Ads Videos
- [Added] Ads Reports
- [Added] Paid Modules
- [Added] Pro Packages Free Points
- [Added] Delete Notifications
- [Added] Reels Minimum Length
- [Added] Reels Maximum Length
- [Added] Videos Minimum Length
- [Added] Videos Maximum Length
- [Added] 5 More Affiliates Levels (Now 10 Levels)
- [Added] Event Distance
- [Added] Redirect to Messaging Mobile Apps
- [Added] Gifts with Points System
- [Added] Latest Blogs Widget
- [Added] Support Center (Tickets System)
- [Added] Ability to Enter Activation Code From Email

- [Fixed] Minor Bugs
- [Fixed] Orientation of Live Stream Recorded Videos
- [Fixed] Forums Descriptions Multiple lines
- [Fixed] Cropped images not deleted with profile photo/cover
- [Fixed] Story deletion now removes all media
- [Fixed] Adult images shown in user gallery and widget

#== v4.1.1 == ( 15-09-2025 )
- [Fixed] Minor Bugs

#== v4.1 == ( 31-8-2025 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] Socket.io Support
- [Added] New Sound for Notifications, Chat Messages & Calls
- [Added] Handle Browser Cache Issues
- [Added] Event Type (Online|In Person)
- [Added] Exclude Past Events From Discover
- [Added] Event Creation Post
- [Added] Group Creation Post
- [Added] Languages Filter to Pages
- [Added] Languages Filter to Groups
- [Added] Languages Filter to Events
- [Added] Clear Pending Uploads To Garbage Collector
- [Added] Clear Pending Uploads To Cronjob
- [Added] Pushr Cloud Storage Support
- [Added] Custom Landing Wallpaper
- [Added] Enable/Disable Pro Users Widget
- [Added] Enable/Disable Pro Pages Widget
- [Added] Prioritizes Friends & Followings in Reactions
- [Added] Schema.org Support for Blogs
- [Added] Max Name Length
- [Added] Include Affiliate Link With Invitation Link
- [Added] MSG91 New APIs Support

- [Fixed] Minor Bugs
- [Fixed] Email Notifications Issues
- [Fixed] Custom Field Value With Mutiple lines
- [Fixed] Fake User Generator Random Image Issue
- [Fixed] Fake User Generator Gender Issue
- [Fixed] Cover Image Limit Error Issue

#== v4.0.6 == ( 17-06-2025 )
- [Added] Cloudflare R2 Storage Support
- [Fixed] Minor Bugs

#== v4.0.5 == ( 27-05-2025 )
- [Fixed] User IP When Running Sngine with Docker
- [Fixed] Watch Module When Newsfeed Caching Enabled
- [Fixed] User Access Checks When Approval System Enabled
- [Fixed] LiveStreaming Recording Issue
- [Fixed] Messages with Special Characters in Sngine Messaging Apps
- [Fixed] Minor Bugs

#== v4.0.4 == ( 18-05-2025 )
- [Added] OneSignal Sections for Messaging & Timeline Apps
- [Fixed] Vkontakte Social Login
- [Fixed] Bypass allow_url_fopen Error
- [Fixed] Fine People with Location Issue
- [Fixed] Yandex Upload Issue
- [Fixed] Minor Bugs

#== v4.0.3 == ( 08-05-2025 )
- [Fixed] Uploading Performance (Loading Issue)
- [Fixed] Delete Merits Category
- [Fixed] Yandex Upload Issue
- [Fixed] Backbalze Upload Issue
- [Fixed] Installer Check Issue
- [Fixed] Minor Bugs

#== v4.0.2 == ( 05-05-2025 )
- [Fixed] Reels Issue When Newsfeed Caching Enabled
- [Fixed] PWA JS Error
- [Fixed] Minor Bugs

#== v4.0.1 == ( 03-05-2025 )
- [Fixed] PWA IOS Banner Issue
- [Fixed] Chunk Uploads Issue
- [Fixed] Backblaze Upload Issue
- [Fixed] Cash On Delivery Issue
- [Fixed] Login Issue
- [Fixed] Minor Bugs

#== v4.0 == ( 30-04-2025 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] PWA
- [Added] Admin Ability To Turn PWA On/Off
- [Added] Docker Files
- [Added] Newsfeed Merge
- [Added] Newsfeed Caching
- [Added] Enhance Newsfeed Infinite Scroll
- [Added] Popular Posts Interval
- [Added] Chunk Uploads
- [Added] Admin Ability To Select Chunk Size
- [Added] Image Compression with Cloud Storage
- [Added] Google Translation Besides Yandex
- [Added] Chat Translation Like Posts
- [Added] Paid Live Streaming
- [Added] Newsfeed Sorting Shortcut
- [Added] Wallet Payment For Marketplace
- [Added] Cash On Delivery In Marktplace
- [Added] Admin Ability To Turn Cash On Delivery On/Off
- [Added] Censored Domains
- [Added] Admin Ability To Turn Censored Domains On/Off
- [Added] Manage Moderators Permissions From Admin Panel
- [Added] Hide From Suggestions List Privacy Settings
- [Added] Post Option For Ads System
- [Added] LiveKit For Audio/Video Calls
- [Added] Agora For Audio/Video Calls
- [Added] More 4 Places For Widgets
- [Added] New Option To Crop Cover Picture
- [Added] Reels Available For Non-Logged In Users
- [Added] Newsfeed Scrolling Enhancement
- [Added] MercadoPago Payment
- [Added] In Mobile Swipe Left To Back
- [Added] Admin Ability To Turn Mobile Swipe On/Off
- [Added] Cronjob System
- [Added] Admin Ability To Turn Cronjob System On/Off
- [Added] My Offers To Side Menu
- [Added] My Jobs To Side Menu
- [Added] My Courses To Side Menu
- [Added] Mask Uploaded File Path
- [Added] Admin Ability To Turn Mask Uploaded File Path On/Off
- [Added] [Verified, City, Country] Filters In People Finder
- [Added] Admin Ability To Disable Default YouTube Player
- [Added] HEIF/HEIC Images Support
- [Added] Posts Schedule System
- [Added] Posts Schedule Permission To Permissions Groups
- [Added] Cloudflare Turnstile CAPTCHA
- [Added] Custom Affiliates Levels (System Level)
- [Added] Custom Affiliates Levels (Permissions Group Level)
- [Added] Custom Affiliates Levels (User Level)
- [Added] Content Monetization To Affiliates System
- [Added] Pay The Referrer Who (Invited The Buyer|Invited The Seller)
- [Added] Password Complexity System
- [Added] Whitelist Providers
- [Added] HLS/M3U8 Support For Video Player
- [Added] Marketplace Automatic Delivery
- [Added] Marketplace Automatic Delivery To Garbage Collector
- [Added] Marketplace Automatic Delivery To Cronjob
- [Added] Show/Hide Login Password
- [Added] Announcement For All Visitors & Members
- [Added] Reset All Users Wallet Balance & Transactions To Garbage Collector
- [Added] Delete All Fake Users To Garbage Collector
- [Added] Delete All Fake Pages To Garbage Collector
- [Added] Delete All Fake Groups To Garbage Collector
- [Added] Copy The Invitation Link
- [Added] Smooth Scroll To New Posts
- [Added] In Mobile Show All Settings Once Click Settings
- [Added] In Mobile Show All Messages Once Click Messages
- [Added] Publisher Embded Error Message Instead Of Modal
- [Added] Change Profile, Page, Group & Event Layout Order
- [Added] Delete Publisher Removed Uploads (Photos, Videos, Audios, Files) From Server
- [Added] Ads Author Can See His Ads
- [Added] Location Search For Products
- [Added] User Ability To Lock Paid Post With Files
- [Added] User 'Getting Started' toggle in admin user settings
- [Added] Offers Read Permission To Permissions Groups
- [Added] Select Custom User Group Now Mandatory If Enabled
- [Added] Merits System

- [Fixed] Minor Bugs
- [Fixed] PayPal Duplicated Payments Log
- [Fixed] Donate With Wallet Amount Issue
- [Fixed] Wallet Transfer Max Set To 0 Issue
- [Fixed] Reels Reactions By Click In Desktop
- [Fixed] Up/Down Keys Popup Error
- [Fixed] Stripe Recurring Payments
- [Fixed] Video Quality Selector
- [Fixed] Show All (Pages, Groups, Events) When Share Post
- [Fixed] Show All (Pages, Groups, Events) In Ads Manager
- [Fixed] Marketplace Order Payment Issue
- [Fixed] Improve Transaction Handling In CoinPayments Webhook
- [Fixed] Discover & Popular Posts With Country Filter
- [Fixed] Notifications Counter Issue
- [Fixed] Posts Loader Colors In Dark Mode
- [Fixed] Pager Colors In Dark Mode
- [Fixed] Events Images in UI-Box Listing
- [Fixed] Edit Reels Comments/Replies Issue
- [Fixed] Show Course Start & End Date
- [Fixed] User Name In Activation Email Issue
- [Fixed] Stories With Friends System Disabled Issue
- [Fixed] Validate Amount For Wallet Operations To Ensure Non-Negative Values
- [Fixed] Update user access checks to allow logged-in users to bypass public system restrictions
- [Fixed] Disable Pull To Refresh in Android App for REELS
- [Fixed] Emojis & Stickers Space Issue
- [Fixed] Hide Points Card & Transaction with 0 Value 

#== v3.13 == ( 30-09-2024 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] Reels Module
- [Added] Disable Friends System
- [Added] Push Notifications For Android App
- [Added] Push Notifications For IOS App
- [Added] Chat Push Notifications
- [Added] Chat Privacy (Everyone, Friends, No One)
- [Added] Admin Ability To Disable Chat Module Completely
- [Added] Switching Camera in Live Streaming
- [Added] Show Camera Preview Before Live Streaming
- [Added] Enhanced Live Streaming Resolution To 720p+
- [Added] New Mobile UI
- [Added] Changed The Video Player To Plyr Instead Of Video.JS
- [Added] Abbreviated Counters
- [Added] Changed Posts With Map To Interactive Map Instead of Images
- [Added] Subscription Button In Profile
- [Added] Subscription Button In Page
- [Added] Subscription Button In Group
- [Added] Create Post To Quick Add Menu
- [Added] Create Live To Quick Add Menu
- [Added] Wallet Recharge Option Directly With Error Of No Funds Available
- [Added] Share to Timeline, Pages, Groups Or Events in Share Plugin
- [Added] Replaced PRO Badge With Icon
- [Added] Users Approval System
- [Added] Email Notifications For Users Approval System
- [Added] Watch Module Showing All Videos
- [Added] Detect Visitor Country Automatically For Watch Module
- [Added] Create Products In Pages
- [Added] Create Products In Groups
- [Added] Create Products In Events
- [Added] Search Profile Posts
- [Added] Search Page Posts
- [Added] Search Group Posts
- [Added] Search Event Posts
- [Added] Country Filter For Pages
- [Added] Country Filter For Groups
- [Added] Country Filter For Events
- [Added] Country Filter For Jobs
- [Added] Country Filter For Offers
- [Added] Country Filter For Courses
- [Added] Country Filter For Blogs
- [Added] Country Filter For Funding
- [Added] Yandex Cloud Storage Support
- [Added] Flutterwave Payment Gateway
- [Added] NyFatoorah Payment Gateway
- [Added] Epayco Payment Gateway
- [Added] Verotel Payment Gateway
- [Added] Stripe Payment Element
- [Added] PayPal Payouts Integration
- [Added] Updated Cashfree APIs To Latest Version
- [Added] Marketplace Accept Payments Instead Of Wallet Credit
- [Added] Donate Using Wallet Balance
- [Added] Admin Ability To Turn Donate Using Wallet Balance On/Off
- [Added] Static Pages With Redirect URLs
- [Added] Static Pages Added to Sidebar Menu
- [Added] Widgets Langauges
- [Added] Widgets Audience
- [Added] Points Transactions Log In User Settings
- [Added] Points/Comment For Post Author
- [Added] Points/Reaction For Post Author
- [Added] Admin Ability To Disable Points Monetization
- [Added] Custom Points System For Each Permissions Groups
- [Added] Watermark Using Username
- [Added] Monetization Earnigns In User Settings Page
- [Added] Paid Post Blurred Preview Image
- [Added] Subscriptions Post Blurred Preview Image
- [Added] Paid Post Will Paid Post For Subscribers Too
- [Added] Admin Ability To Maximum Total Upload Size
- [Added] Admin Ability To Set Default Privacy For New Users
- [Added] Admin Ability To Turn Username Changes Off
- [Added] Admin Ability To Disable Profile Updates Posts (Profile Pictures & Covers)
- [Added] Admin Ability To Set Maximum Paid Post Price
- [Added] Admin Ability To Set Maximum Monetization Plan Price
- [Added] Admin Ability To Disable Download Images
- [Added] Admin Ability To Disable Mouse Right Click
- [Added] Admin Ability To Resend Activation Emails
- [Added] User Can Select Custom User Group While Sign Up
- [Added] Admin Ability To Turn User Can Select Custom User Group On/Off
- [Added] Admin Ability To Turn Show Custom User Group Badge On/Off
- [Added] Manage Auto Connected Nodes In Getting Started
- [Added] Detect Visitor Langauge Automatically
- [Added] Admin Ability To Disable Auto Langauge Automatically
- [Added] Courses Module
- [Added] Event Sponsor For System Admins
- [Added] Pages Business ID
- [Added] Admin Ability To Turn Pages Business ID On/Off

- [Fixed] Minor Bugs
- [Fixed] Group Invitation System
- [Fixed] Stripe Recurring Payments Issue
- [Fixed] Blog Views Counter
- [Fixed] Hide Market Withdrawal Requests If Cart Disabled
- [Fixed] Page Info With Reviews Notifcations
- [Fixed] Login As with Demo Account Bug
- [Fixed] Settings Page Access With Packages Set As Subscriptions Only
- [Fixed] LinkedIn Social Login
- [Fixed] Close Button In Dark Mode
- [Fixed] MSG91 SMS Issue
- [Fixed] Video Player In Fullscreen Mode
- [Fixed] Reset reCAPTCHA after form submission
- [Fixed] Find People Will Find All Users Now
- [Fixed] Responsive Images Inside Blogs

#== v3.12 == ( 31-03-2024 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] Selling Digital Products
- [Added] Groups Reviews
- [Added] Admin Ability To Turn Groups Reviews On/Off [Admin Panel]
- [Added] Events Reviews
- [Added] Admin Ability To Turn Events Reviews On/Off [Admin Panel]
- [Added] Posts Reviews
- [Added] Admin Ability To Turn Posts Reviews On/Off [Admin Panel]
- [Added] Paid Chat Messages For Monetizations
- [Added] Paid Audio/Video Calls For Monetizations
- [Added] Publish Posts Permission To Permissions Groups
- [Added] Create Jobs Permission To Permissions Groups
- [Added] Create Offers Permission To Permissions Groups
- [Added] Users Ability To Publish Jobs
- [Added] Users Ability To Publish Offers
- [Added] Post Approval System
- [Added] Email Notifications For Post Approval System
- [Added] Email Notifications For Verification Requests
- [Added] Adult Content Mode
- [Added] Verification Required For Publishing Posts
- [Added] Verification Required For Monetization
- [Added] Verification Required For Adult Content
- [Added] Payments VAT System
- [Added] Payments VAT System By User Country
- [Added] Payments Fees System
- [Added] Watermark Videos
- [Added] Combo Post
- [Added] Affiliates System Working With Bank Transfers
- [Added] Affiliates Working Recursively With Pro Packages
- [Added] Original Price To Offers
- [Added] Multiple Images To Offers
- [Added] Offers Expire Date Now Optional
- [Added] CV Attachment To Job Application
- [Added] Pages Events
- [Added] Admin Ability To Turn Pages Events On/Off [Admin Panel]
- [Added] List Non-Activated Users in Admin Panel [Admin Panel]
- [Added] List Users Stats In Admin Panel [Admin Panel]
- [Added] Export To CSV For Users Module [Admin Panel]
- [Added] Clear Compiled Templates From Garbage Collector [Admin Panel]
- [Added] Admin Ability To Turn Market Shopping Cart On/Off [Admin Panel]
- [Added] Unique Post Views System [Admin Panel]
- [Added] Login As for Admins Only [Admin Panel]
- [Added] Earnings Dashboard [Admin Panel]
- [Added] Visitors Insights [Admin Panel]
- [Added] New Landing Page
- [Added] Updated All Social Media Icons
- [Added] DigitalOcean Spaces S3 Compatibility

- [Fixed] Paid Posts Images Viewable While Slide Right/Left
- [Fixed] Paid Posts OG Tags Issue
- [Fixed] Fluid Videos Aspect Ration
- [Fixed] Update lightbox image download link
- [Fixed] Remove Top Friends From Other Places Than Profile Friends
- [Fixed] Delete Blog Cover Image Issue
- [Fixed] 2FA When System Turned Off
- [Fixed] Minor Bugs

#== v3.11.1 == ( 25-12-2023 )
- [Fixed] Paid Posts Issues
- [Fixed] Single Photo Comments Count Issue
- [Fixed] Blocked Recipients In Chatbox
- [Fixed] Minor Bugs

#== v3.11 == ( 05-12-2023 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] PayPal Recurring Payments
- [Added] Stripe Recurring Payments
- [Added] Paid Posts
- [Added] Allow Paid Post for Blogs
- [Added] Posts For Subscribers Only
- [Added] Allow Subscribers Only for Blogs
- [Added] Allow Subscribers Only for Live Stream
- [Added] Subscribers Only On/Off from Edit Post Menu
- [Added] Free Trial Monetization Plans
- [Added] Minutes & Hours Monetization Plans
- [Added] Share Screen Live Streaming 
- [Added] Quick Tips Buttons in Live Posts
- [Added] Chat Box for Groups
- [Added] Chat Box for Events
- [Added] Pages Reviews Module
- [Added] Earnings Dashboard for Paid Movies System [Admin Panel]
- [Added] Update Factory Reset To Reset System Options [Admin Panel]
- [Added] Garbage Collector for Orphaned Posts Data [Admin Panel]
- [Added] FFmpeg Video Resolutions [Admin Panel]
- [Added] Videos Fluid Mode [Admin Panel]
- [Added] Disable Genders [Admin Panel]
- [Added] Unsubscribe Pro Package From User's Settings
- [Added] Manage Subscriptions From Profile
- [Added] Manage User's Subscriptions Privacy From Privacy Settings
- [Added] User Ability to Share Profile
- [Added] User Ability to Share Page
- [Added] User Ability to Share Group
- [Added] User Ability to Share Event
- [Added] Hide Videos Tab from Profile if Videos Upload Disabled
- [Added] Hide Videos Tab from Page if Videos Upload Disabled
- [Added] Hide Videos Tab from Group if Videos Upload Disabled
- [Added] Hide Videos Tab from Event if Videos Upload Disabled
- [Added] Seller Info in the Invoice
- [Added] Search Option in Mobile View If Enabled

- [Fixed] Minor Bugs
- [Fixed] Emojis Insertion at End of Textarea
- [Fixed] Buy Now Shows Login Modal for Visitor
- [Fixed] Permissions Group Delete
- [Fixed] Delete User Posts When Delete User Account
- [Fixed] Marketplace Total Price
- [Fixed] Remove Select Currency From Products
- [Fixed] Paid Movies For Public Issue
- [Fixed] Paid Movies Price Issue
- [Fixed] Muted Videos When Auto-Play Off
- [Fixed] Scraper m3u8 files Issue
- [Fixed] Zoom In Mobile Browser While Publish Post|Comment
- [Fixed] Exclude Banned Users from Newsfeed
- [Fixed] Stoies Issue

#== v3.10 == ( 07-09-2023 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] Market Purchase Module
- [Added] Tips To Blogs
- [Added] Admin ability to turn Switch Accounts On/Off [Admin Panel]
- [Added] Sngine Login as Social Login
- [Added] Enable/Disable Reactions [Admin Panel]
- [Added] SMS Limit/Hour
- [Added] Wallet Transfer Maximum [Admin Panel]
- [Added] Send Tips in Profiles
- [Added] User ability to turn Send Tips in his profile On/Off [User Settings]
- [Added] Tips Button in Pages
- [Added] Page's Admin ability to turn Send Tips in his page On/Off [Page Settings]
- [Added] Products Limits Per Package
- [Added] Business Tax Info, Address, Website with Pages Verification Requests
- [Added] Change Profile Cover from Old Photos
- [Added] Change Page Cover from Old Photos
- [Added] Change Group Cover from Old Photos
- [Added] Change Event Cover from Old Photos
- [Added] Hide Permissions For Disabled Modules in Packages
- [Added] Enhanced The Search System
- [Added] Products Tab in Profile Page
- [Added] Manage Profile Top Photos
- [Added] Manage Profile Top Friends
- [Added] Photo Link Copy When Sharing Single Photo
- [Added] Create Funding from Publisher
- [Added] Page Description Supports Multiple Lines
- [Added] Group Description Supports Multiple Lines
- [Added] Event Description Supports Multiple Lines
- [Added] Show User's Marketplace Balance in Admin Panel
- [Added] Show User's Funding Balance in Admin Panel
- [Added] Show User's Monetization Balance in Admin Panel
- [Added] Enhanced Blogs Tags System
- [Added] More Zones for Wasabi Settings
- [Added] Upgrade FontAwesome to v6+
- [Added] Upgrade Installer Wizard to v5+
- [Added] Upgrade Updater Wizard to v5+

- [Fixed] Minor Bugs
- [Fixed] Change OG-Image with Video Thumbnail
- [Fixed] Exclude None-Activated Users From New People
- [Fixed] Exclude Super Admin From New People
- [Fixed] Ads for Pages & Groups
- [Fixed] Noty Notification not Clickable
- [Fixed] Pro Packages Price Format
- [Fixed] Profiles/Pages/Groups/Events UI make info first
- [Fixed] Stories ADS Last More Than 24 Hours
- [Fixed] Funding Post's Title Open New Window
- [Fixed] Change People UI Make Search At Bottom
- [Fixed] Hide Boosted Pages if Pages Disabled From Sidebar Menu
- [Fixed] Super Admin Can Change His User Group
- [Fixed] OneSignal Icon Position Issue

#== v3.9.1 == ( 17-06-2023 )
- [Fixed] Minor Bugs
- [Fixed] Cover image position issue
- [Fixed] DataTables alert issue when edit user in admin panel
- [Fixed] Critical Security Issues & Thanks to @IlyasMakari (https://twitter.com/IlyasMakari)
- [Fixed] Profile picture when start chat from profile, market, popover ...etc
- [Fixed] Replaced CDN for "Bootstrap" & "tinymce-i18n" with local files (JsDeliver CDN has some issues with some countries)
- [Fixed] Fixed "Forget Password" link position
- [Fixed] Admin panel badge text white colors in day mode
- [Fixed] Stories Issue
- [Fixed] Funding Permission

#== v3.9 == ( 05-06-2023 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] Migrate to Bootstrap v5+
- [Added] New Default Theme
- [Added] Fluid Design Option
- [Added] Admin ability to turn Fluid Design Option On/Off [Admin Panel]
- [Added] Change Icons Colors [Admin Panel]
- [Added] New Social Login via WordPress
- [Added] New System Ads Slot For Specific Pages
- [Added] New System Ads Slot For Specific Groups
- [Added] Emojis Menu Lazy Loading
- [Added] MoneyPoolsCash Automatic Withdrawal Payments
- [Added] Movies Pay Per View Module
- [Added] Switch Accounts
- [Added] Share Stories As Ads
- [Added] Videos Categories
- [Added] Manage Videos Categories [Admin Panel]
- [Added] Manage Custom Users Groups [Admin Panel]
- [Added] Manage Permissions Groups [Admin Panel]
- [Added] Pro Packages With Permissions Groups [Admin Panel]
- [Added] Pro Packages With Picked Videos Categories Access [Admin Panel]
- [Added] Pro Packages With Picked Blogs Categories Access [Admin Panel]
- [Added] Admin ability to turn Verification Docs On/Off [Admin Panel]
- [Added] Make “Boosted” Posts Visible To Website Visitors
- [Added] Uploads Permission for Non-Logged In Users
- [Added] Change Profile Picture from Old Photos
- [Added] Change Page Picture from Old Photos
- [Added] Change Group Picture from Old Photos

- [Fixed] Minor Bugs
- [Fixed] Games Genres Issue
- [Fixed] Publisher Privacy Dropdown Menu in Mobile
- [Fixed] Video Player Aspect Ratio
- [Fixed] Stripe with JPY currency
- [Fixed] Backup contains content\backups folder
- [Fixed] Facebook Embed Responsive Issue

#== v3.8 == ( 31-03-2023 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] New Landing Page Design
- [Added] Watch Module
- [Added] Tips Module
- [Added] Content Monetization Custom Plans Module
- [Added] Reactions Order [Admin Panel]
- [Added] Allow Animated Images for Avatars/Covers
- [Added] Admin ability to turn Animated Images On/Off [Admin Panel]
- [Added] Games Genres
- [Added] Discover Pages by Categories
- [Added] Discover Groups by Categories
- [Added] Discover Events by Categories
- [Added] Discover Games By Genres
- [Added] Edit Pages Description SEO [Admin Panel]
- [Added] Edit Groups Description SEO [Admin Panel]
- [Added] Edit Events Description SEO [Admin Panel]
- [Added] Edit Games Description SEO [Admin Panel]
- [Added] Manage DayTime Messages [Admin Panel]
- [Added] List Marketplace Posts [Admin Panel]
- [Added] Backbalze New Location [Admin Panel]
- [Added] Moneypoolscash Payment Gateway
- [Added] Show Ads Campaigns for Non-logged-in Members

- [Fixed] Pages Fake Generator
- [Fixed] Bank Transfers Accept [Admin Panel]
- [Fixed] Highcharts.js Translation [Admin Panel]
- [Fixed] Group Cover Image Position Issue
- [Fixed] Post Title With Feelings Issue
- [Fixed] Super Admin Can't Be Demo Account
- [Fixed] Dark Logo If Not Uploaded
- [Fixed] Advanced Search With Empty Query Links Issue
- [Fixed] Friends Count To Exclude Banned Users
- [Fixed] Posts limit/hours for blogs
- [Fixed] Fullname in Forums if Usernames Only Enabled
- [Fixed] Deleting Comments When Post Deleted
- [Fixed] Deleting Blog Cover Image When Blog Deleted
- [Fixed] Pinned Post Twice Views
- [Fixed] Promoted Jobs Not Open
- [Fixed] Images & Videos Aspect Ratio

#== v3.7 == ( 01-01-2023 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] Content Monetization for [Profiles|Pages|Groups]
- [Added] Manage Reactions [Admin Panel]
- [Added] Add Follower/Followings Privacy Settings
- [Added] Ads Free System for Pro Accounts
- [Added] Admin ability to turn Ads Free System On/Off [Admin Panel]
- [Added] Posts Count in [Profile|Page|Group|Event]
- [Added] Photos Count in [Profile|Page|Group|Event]
- [Added] Videos Count in [Profile|Page|Group|Event]
- [Added] Who can Send Gifts [Everyone|Verified|Pro|Admins]
- [Added] Who can Upload Videos [Everyone|Verified|Pro|Admins]
- [Added] Who can Upload Audios [Everyone|Verified|Pro|Admins]
- [Added] Who can Upload Files [Everyone|Verified|Pro|Admins]
- [Added] Who can Add Colored Posts [Everyone|Verified|Pro|Admins]
- [Added] Who can Add Feelings/Activity Posts [Everyone|Verified|Pro|Admins]
- [Added] Who can Add Poll Posts [Everyone|Verified|Pro|Admins]
- [Added] Who can Add Geolocation Posts [Everyone|Verified|Pro|Admins]
- [Added] Who can Add GIF Posts [Everyone|Verified|Pro|Admins]
- [Added] Who can Post As Anonymous [Everyone|Verified|Pro|Admins]
- [Added] Stripe New Checkout APIs
- [Added] Dark|Light Logo [Admin Panel]
- [Added] Mixcloud Support
- [Added] Backblaze Bucket Region "eu-central-003" [Admin Panel]

- [Fixed] FastCGI Issue
- [Fixed] Pro System Charts in Admin Panel
- [Fixed] Pro Earning of Current Month
- [Fixed] Disabled Currencies in Admin Panel
- [Fixed] Auto Followings Check
- [Fixed] Quick Search Log Check
- [Fixed] Delete Original Video After FFmpeg Convert
- [Fixed] Backups Function
- [Fixed] Campaign Potential Reach
- [Fixed] RazorPay Issue
- [Fixed] Stories Preview Issue with Videos
- [Fixed] Mass Notifications Extrenal Link Open New Tab
- [Fixed] Minor Bugs

#== v3.6.3 == ( 12-10-2022 )
- [Fixed] Categories Translation
- [Fixed] FFmpeg issue with Cloud Saving
- [Fixed] Minor Bugs

#== v3.6.2 == ( 20-09-2022 )
- [Updated] Sngine Default Theme Colors
- [Added] New Post Reactions Images
- [Fixed] Minor Bugs

#== v3.6.1 == ( 12-09-2022 )
- [Fixed] Newsfeed Countries Issue
- [Fixed] @mentions Issue
- [Fixed] Save To Cloud Storage Issue
- [Fixed] Vkontakte Adaptor Issue
- [Fixed] Tinymce Uploading Images Issue
- [Fixed] Custom CSS Colors Issue
- [Fixed] Minor Bugs

#== v3.6 == ( 01-09-2022 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine PHP Dependencies
- [Updated] Sngine JS Dependencies

- [Added] Move Sngine JS Dependencies to NPM
- [Added] FFMPEG Support
- [Added] Admin ability to turn FFMPEG On/Off [Admin Panel]
- [Added] All Comments Sorting in Comments
- [Added] Backblaze Cloud Storage
- [Added] Manage Reserved Usernames [Admin Panel]
- [Added] Profile Image Required While Sign Up On/Off [Admin Panel]
- [Added] Location Data Required While Sign Up On/Off [Admin Panel]
- [Added] Education Data Required While Sign Up On/Off [Admin Panel]
- [Added] Work Data Required While Sign Up On/Off [Admin Panel]
- [Added] Allow Special Characters in Names [Admin Panel]
- [Added] Share the post to Event
- [Added] Publish Blogs Inside Pages
- [Added] Publish Blogs Inside Groups
- [Added] Publish Blogs Inside Events
- [Added] Posts Views System
- [Added] Admin ability to turn Posts Views System On/Off [Admin Panel]
- [Added] Points/Post View in Points System
- [Added] Custom Countries for Auto-Friend Feature
- [Added] Custom Countries for Auto-Follow Feature
- [Added] Custom Countries for Auto-Like Feature
- [Added] Custom Countries for Auto-Join Feature
- [Added] Native Emojis Support
- [Added] Newsfeed Location Filter
- [Added] Admin ability to Enable/Disable Any Currency [Admin Panel]
- [Added] Pro Package Badge with Comments
- [Added] Video.js Langauges
- [Added] New Ads Positions Under The Post & Blog
- [Added] Stories Preview

- [Fixed] Agora Cloud Recording
- [Fixed] Wasabi Files Delete After Deleting The Post
- [Fixed] Update Pages, Groups & Events Counters When Delete User
- [Fixed] Default Website Description Translation
- [Fixed] Odysee.com Scraper Bug
- [Fixed] Dark Mode Pagination Colors
- [Fixed] Live Video Screenshot
- [Fixed] Video Calls UI
- [Fixed] User Online Bug
- [Fixed] Offers Date Format Match System Date Format
- [Fixed] Delete Album Photos After Load More
- [Fixed] Minor Bugs

#== v3.5 == ( 05-06-2022 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs
- [Updated] Sngine JS Dependencies

- [Added] Move libs to Composer
- [Added] Razorpay Payment Method
- [Added] Cashfree Payment Method
- [Added] Coinbase Payment Method
- [Added] SecurionPay Payment Method
- [Added] Live Streaming on Pages
- [Added] Live Streaming on Groups
- [Added] Live Streaming on Events
- [Added] Copy Post Link to Clipboard
- [Added] Account Activation Required
- [Added] Admin ability to turn Activation Required On/Off [Admin Panel]
- [Added] @mentions Now Support Any Language
- [Added] Translate Site Title To User Language
- [Added] Google Cloud Storage
- [Added] Admin ability to turn Google Cloud Storage On/Off [Admin Panel]
- [Added] Category Name with Product Details
- [Added] Report Categories and Report Reason
- [Added] Admin ability to Manage Report Categories [Admin Panel]
- [Added] Admin ability to Manage HTML support in Rich Text Editor [Admin Panel]
- [Added] Search Box in Blogs Module
- [Added] Different Currencies per Product
- [Added] Remove Upload Limits for Admins/Mods

- [Fixed] Re-Share Public Group Post
- [Fixed] Blog Comments For Visitors
- [Fixed] Delete Reports If Content Already Deleted
- [Fixed] Translation [Select All|Deselect All|Nothing Selected] in Ads Manager
- [Fixed] Multiple Select Custom Field Value
- [Fixed] Lightbox Arrows Directions in RTL Languages
- [Fixed] Video loaded with "View X New Posts" Not Playing
- [Fixed] Edit Comment reflected on Replies Bug
- [Fixed] Adblock Detector
- [Fixed] Rumble.com Videos
- [Fixed] Banned.Video Videos
- [Fixed] Brighteon Videos
- [Fixed] Mutual Friends Loader
- [Fixed] User Name on Video/Audio Calls
- [Fixed] Disabled Countries Issue
- [Fixed] Minor Bugs

#== v3.4 == ( 10-02-2022 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|HTMLPurifier|PHPMailer|SimpleImage|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [tagify]

- [Added] Wasabi Cloud Storage
- [Added] Free Trial Pro Packages
- [Added] Sorting in Jobs
- [Added] Filter by location in Jobs
- [Added] Sorting in Offers
- [Added] Filter by location in Offers
- [Added] Filter by location in Marketplace
- [Added] Pro Packages Order
- [Added] Newsfeed Module Publicly Accessible
- [Added] Admin ability to turn Newsfeed Public On/Off [Admin Panel]
- [Added] Pages Module Publicly Accessible
- [Added] Groups Module Publicly Accessible
- [Added] Events Module Publicly Accessible
- [Added] Games Module Publicly Accessible
- [Added] Developers Module Publicly Accessible
- [Added] Photos in Lightbox Mode Publicly Accessible
- [Added] Allow Uploading .webp Images
- [Added] Max Results for Marketplace [Admin Panel]
- [Added] Max Results for Offers [Admin Panel]
- [Added] Max Results for Jobs [Admin Panel]
- [Added] Max Results for Games [Admin Panel]
- [Added] Max Results for Search [Admin Panel]
- [Added] Advanced Search System (Load More Results)
- [Added] Auto-Play Videos
- [Added] Admin ability to turn Auto-Play Videos On/Off [Admin Panel]
- [Added] Copy Affiliates Link to Clipboard
- [Added] Languages Order
- [Added] Countries Module [Admin Panel]
- [Added] Default System Country
- [Added] Multiple Select Custom Field
- [Added] Custom Fields for Products
- [Added] Custom Fields for Jobs
- [Added] Custom Fields for Offers
- [Added] Search With Custom Fields
- [Added] Twitch Profile URL
- [Added] Save Button on Edit Post
- [Added] Save Button on Edit Comment
- [Added] Login Modal for User Actions (Add Friend, Like Page ... etc)
- [Added] Validations on all admin -> categories add/edit modules

- [Fixed] Post/Photo Privacy Check Error
- [Fixed] Censored Words Bug
- [Fixed] Voice Notes Bug
- [Fixed] Directory Orphan Data Bug
- [Fixed] Album Title Translation
- [Fixed] Blog Category Name Translation
- [Fixed] Forums Names Translation
- [Fixed] Custom Pro Package Message Translation
- [Fixed] Custom Field Label Translation
- [Fixed] Ban Super Admin
- [Fixed] Long Vertical Images
- [Fixed] Long Vertical Videos
- [Fixed] Lightbox Close Button
- [Fixed] Add/Edit System Ads Dropdown Menu
- [Fixed] Remove user from all joined groups/events when delete user
- [Fixed] Minor Bugs

#== v3.3 == ( 25-11-2021 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|GettextTranslator|PHPMailer|Smarty|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [easytimer|tagify|tinymce]

- [Added] View X New Posts in Newsfeed
- [Added] Multi-Level Affiliates System
- [Added] ADS Approval System
- [Added] Position of the Currency Symbol (Left|Right)
- [Added] Voice Note Encoding (MP3|OGG|WAV)
- [Added] Voice Note Duration
- [Added] Uploads CDN
- [Added] Custom Ban Message
- [Added] Custom Pro Package Message
- [Added] Upgraded Page after Buying Pro Package
- [Added] Fake Pages Generator
- [Added] Fake Groups Generator
- [Added] Points/Follower in Points System
- [Added] Points/Referred in Points System
- [Added] Max Results for Newsfeed Posts [Admin Panel]
- [Added] Max Results for Pages [Admin Panel]
- [Added] Max Results for Groups [Admin Panel]
- [Added] Max Results for Events [Admin Panel]
- [Added] Phone Code in Signup Form
- [Added] Lightbox Download Button
- [Added] Translate Countries Names
- [Added] Translate Package Name in Packages Page
- [Added] Translate Blog Categories in Blog Page
- [Added] Show Stories From All Users

- [Fixed] Max Posts Limit for Pages 
- [Fixed] Header/Footer Ads
- [Fixed] Donate Permission
- [Fixed] Header Menu Scroll
- [Fixed] Forum Thread/Reply Username Bug
- [Fixed] Languages Menu CSS
- [Fixed] Recorded Audio in IOS
- [Fixed] Lightbox UI
- [Fixed] Odysee.com Scraper Bug
- [Fixed] Back Home After Deleting Post
- [Fixed] User Biography Mutiple Lines
- [Fixed] Minor Bugs

#== v3.2.1 == ( 25-08-2021 )
- [Fixed] Edit user bug
- [Fixed] Audio/Video Calls & Live Streaming on IOS
- [Fixed] Agora Live Stream Recording
- [Fixed] PayStack 404 Error
- [Fixed] Minor Bugs

#== v3.2 == ( 15-08-2021 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [Agora|AWS|Embed|FtpClient|GettextTranslator|GoogleAuthenticator|PHPMailer|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [jQuery|Agora|autosize|bootstrap.colorpicker|codemirror|easytimer|tagify|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome]

- [Added] UI Enhancements
- [Added] Invitations System
- [Added] Factory Reset [Admin Panel]
- [Added] Demo Account Mode
- [Added] Sub-Categories (Infinite Levels) for Pages
- [Added] Sub-Categories (Infinite Levels) for Groups
- [Added] Sub-Categories (Infinite Levels) for Events
- [Added] Sub-Categories (Infinite Levels) for Blogs
- [Added] Sub-Categories (Infinite Levels) for Marketplace
- [Added] Sub-Categories (Infinite Levels) for Offers
- [Added] Sub-Categories (Infinite Levels) for Jobs
- [Added] Sub-Categories (Infinite Levels) for Developers Apps
- [Added] Google Play Store Badge on Landing Page
- [Added] Huawei AppGallery Badge on Landing Page
- [Added] Apple App Store Badge on Landing Page
- [Added] "Subscription is Required" Message if Subscription is enabled
- [Added] Remove Relationship from Find People if disabled from admin panel
- [Added] Remove Relationship from Ads Campaigns if disabled from admin panel
- [Added] Remove Relationship from Privacy Settings if disabled from admin panel
- [Added] Remove Work Info from Privacy Settings if disabled from admin panel
- [Added] Remove Location Info from Privacy Settings if disabled from admin panel
- [Added] Remove Education Info from Privacy Settings if disabled from admin panel
- [Added] Twemoji-amazing instead of outdated twemoji-awesome with 3500+ emojis
- [Added] Super Admin Account can't be edited/deleted
- [Added] Delete Button in Edit Page Edit [Admin Panel]
- [Added] Delete Button in Edit Group Edit [Admin Panel]
- [Added] Delete Button in Edit Event Edit [Admin Panel]
- [Added] Refund the user when admin rejects Wallet Withdrawal Request
- [Added] Refund the user when admin rejects Affiliates Withdrawal Request
- [Added] Refund the user when admin rejects Points Withdrawal Request
- [Added] Refund the user when admin rejects Funding Withdrawal Request

- [Fixed] Live Stream on Mobile & Update Agora SDK to v4.x
- [Fixed] Audio/Video Calls & Update Twilio SDK to v2.x
- [Fixed] Add more photos in albums
- [Fixed] Share posts to groups with approval system
- [Fixed] Reactions on iPad
- [Fixed] Google Maps Auto-complete
- [Fixed] Link Scraper
- [Fixed] Readmore.js Height
- [Fixed] Video/Audio Views for Shared Post
- [Fixed] Minor Bugs

#== v3.1 == ( 30-05-2021 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|GettextTranslator|HybridAuth|MobileDetect|PHPMailer|SimpleImage|Smarty|Spaces|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [autosize|bootstrap.colorpicker|codemirror|easytimer|mustache|tagify|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome]

- [Added] Add Button in Header
- [Added] Funding System
- [Added] Paystack Payments
- [Added] Msg91 SMS Gateway
- [Added] Stories Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Ads Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Audio Calls Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Video Calls Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] View All Posts Option [Admin Panel]
- [Added] Invite by Phone Number
- [Added] Share Posts from Public Groups
- [Added] Share Posts from Public Events
- [Added] Edit Name Minimum Length [Admin Panel]
- [Added] Change Modules Descriptions from Admin Panel [Admin Panel]
- [Added] Hide Banned Users from Search Results
- [Added] Hide Banned Users from Friends, Followings & Followers List
- [Added] Hide Banned User's Posts
- [Added] Display Package Name when hover on Pro Badge
- [Added] Honeypot Check to stop Spammers

- [Fixed] Remove Location Permission [Android App]
- [Fixed] Google login issue [Android App]
- [Fixed] Event's date Translation
- [Fixed] OneSignal Push Notifications
- [Fixed] URL in user first|last name
- [Fixed] Youtube scaper height
- [Fixed] Genders Translation
- [Fixed] Theme must be enabled to work as default theme
- [Fixed] Chat issue when with blocked user
- [Fixed] Minor Bugs

#== v3.0 == ( 31-01-2021 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|Faker|FTP|HybridAuth|MobileDetect|PHPMailer|SimpleImage|Smarty|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [bootstrap.datetimepicker|codemirror|easytimer|moment|mustache|tinymce]
- [Updated] Sngine CSS Dependencies [Bootstrap|Font-Awesome]

- [Added] Changed DB from MYISAM to INNODB
- [Added] Background Thread for time-consuming tasks like send newsletter, garbage collector ...etc
- [Added] Theme Switcher
- [Added] Wallet Withdrawals
- [Added] Admin ability to turn the Wallet Withdrawals On/Off [Admin Panel]
- [Added] Manage Genders [Admin Panel]
- [Added] Gender Privacy
- [Added] Sorting in Marketplace
- [Added] Delete For Everyone with Chat
- [Added] Links to Custom Fields
- [Added] Changing Username/Name remove the Verification Badge
- [Added] Show only Usernames instead of Full Names [Admin Panel]
- [Added] Admin ability to turn Find by Location On/Off [Admin Panel]
- [Added] Disable Friend Request After Decline On/Off [Admin Panel]
- [Added] Hide profile info from settings and profile page [Admin Panel]
- [Added] Set Stories Duration [Admin Panel]
- [Added] Show the user max file size to upload
- [Added] Desktop Infinite Scroll [Admin Panel]
- [Added] Different description for each module [SEO]
- [Added] Jobs & Offers to Directory [SEO]
- [Added] No-follow to links in the posts [SEO]
- [Added] Added Pages Category Description [SEO]
- [Added] Added Groups Category Description [SEO]
- [Added] Added Events Category Description [SEO]
- [Added] Added Offers Category Description [SEO]
- [Added] Added Jobs Category Description [SEO]
- [Added] Added Blogs Category Description [SEO]
- [Added] Added Marketplace Category Description [SEO]

- [Fixed] Minor Bugs
- [Fixed] FTP uploads CORS issue
- [Fixed] Twitch Embed issue
- [Fixed] Page reply to the comment notification
- [Fixed] Anonymous photos showing in user profile & albums

- [Removed] Instagram Login

#== v2.9 == ( 30-09-2020 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|HTMLPurifier|HybridAuth|PHPMailer|Smarty|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [bootstrap.select|codemirror|dataTables|easytimer|fluidplayer|moment|tinymce]
- [Updated] Sngine CSS Dependencies [Bootstrap|Font-Awesome]

- [Added] New Install/Update Wizard
- [Added] Live Stream Module
- [Added] Admin ability to turn Live Stream On/Off [Admin Panel]
- [Added] Live Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Offers Module
- [Added] Admin ability to turn Offers On/Off [Admin Panel]
- [Added] New System Ads Place for offers Module
- [Added] Jobs Module
- [Added] Admin ability to turn Jobs On/Off [Admin Panel]
- [Added] New System Ads Place for Jobs Module
- [Added] Changing password will logout all other sessions
- [Added] Security Check (Password Required) to change Email or Username
- [Added] Security Check (Password Required) to delete account

- [Fixed] og:image for links and media posts
- [Fixed] Shared Anonymous Post
- [Fixed] Profile Completion Links (Upload Profile Picture & Cover)
- [Fixed] Total friend requests sent count
- [Fixed] Minor Bugs

#== v2.8 == ( 23-06-2020 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|FTP|HybridAuth|PHPMailer|ReCaptcha|Smarty|Stripe|Twilio|2Checkout]
- [Updated] Sngine JS Dependencies [jQuery|bootstrap.select|codemirror|easytimer|jquery.form|moment|mustache|tinymce]
- [Updated] Sngine CSS Dependencies [Bootstrap|Font-Awesome]

- [Added] Enhance the Design
- [Added] Convert All PNG Icons to SVG
- [Added] Home Icon in Header
- [Added] Online Status on Posts
- [Added] Admin ability to turn Online Status on Posts On/Off [Admin Panel]
- [Added] Post As Anonymous
- [Added] Admin ability to turn Anonymous Mode on Posts On/Off [Admin Panel]
- [Added] OneSignal Push Notifications
- [Added] HTML Email Templates
- [Added] Distance Unit (Mile or Kilometer)
- [Added] Translation for DataTables
- [Added] Translation for Tinymce
- [Added] Blogs & Forums Photo Upload
- [Added] Admin ability to turn Blogs & Forums Photo Upload On/Off [Admin Panel]
- [Added] Admin ability to turn Pages Completely On/Off [Admin Panel]
- [Added] Pages Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Admin ability to turn Groups Completely On/Off [Admin Panel]
- [Added] Groups Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Admin ability to turn Events Completely On/Off [Admin Panel]
- [Added] Events Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Blogs Privacy (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Marketplace Privacy (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Forums Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Movies Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Games Permission (Only Admins, Only Admins and Pro User or Everyone) [Admin Panel]
- [Added] Reset All Users's Points [Admin Panel]
- [Added] Admin ability to turn Infinite Scroll on Mobile On/Off [Admin Panel]
- [Added] Admin ability to turn Cover Photo Resolution Limit On/Off [Admin Panel]
- [Added] Admin ability to turn Comments Photo Upload On/Off [Admin Panel]
- [Added] Admin ability to turn Chat Photo Upload On/Off [Admin Panel]
- [Added] Admin ability to turn Wallet System On/Off [Admin Panel]
- [Added] Admin ability to turn Wallet Transfer Money On/Off [Admin Panel]
- [Added] Admin ability to turn Affiliates Withdraw Earned Money On/Off [Admin Panel]
- [Added] Admin ability to turn Affiliates Transfer Earned Money To Wallet On/Off [Admin Panel]
- [Added] More options for Garbage Collector [Admin Panel]
- [Added] More options for Newsletter [Admin Panel]
- [Added] Voice Notes in Posts
- [Added] Admin ability to turn Voice Notes in Posts On/Off [Admin Panel]
- [Added] Voice Notes in Comments
- [Added] Admin ability to turn Voice Notes in Comments On/Off [Admin Panel]
- [Added] Voice Notes in Chat
- [Added] Admin ability to turn Voice Notes in Chat On/Off [Admin Panel]

- [Fixed] Points System Daily Limit
- [Fixed] Faker Random Images
- [Fixed] DayTime Messages Timing
- [Fixed] Disable publish button while uploading
- [Fixed] Change SMS activation codes to be only 6 digits
- [Fixed] Listen to 2 audio files at same time
- [Fixed] Reaction translation
- [Fixed] Minor Bugs

#== v2.7.2 == ( 20-05-2020 )
- [Fixed] Crtical Bugs

#== v2.7.1 == ( 24-04-2020 )
- [Fixed] Crtical Bugs

#== v2.7.0 == ( 17-02-2020 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Faker|HybridAuth|PHPMailer|Smarty|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [bootstrap.colorpicker|codemirror|easytimer|mustache|tinymce]
- [Updated] Sngine CSS Dependencies [Bootstrap|Font-Awesome]

- [Added] Adult Images Detection System
- [Added] Banned Usernames
- [Added] Banned Email Providers
- [Added] Comments Sort by Top/Recent
- [Added] Hide Post from My Timeline
- [Added] New SMS BulkSMS provider
- [Added] New SMS Infobip provider
- [Added] New Storage Digitalocean
- [Added] New Storage FTP
- [Added] New Payemnts CoinPayments
- [Added] New Payemnts 2Checkout
- [Added] Revoke Apps Connection from User Settings
- [Added] Watermark Overlay [Admin Panel]
- [Added] Prevent Brute-Force Attack
- [Added] Admin ability to turn Brute-Force Attack Detection On/Off [Admin Panel]
- [Added] Admin ability to turn Feelings/Activity Posts On/Off [Admin Panel]
- [Added] Static Pages Order [Admin Panel]
- [Added] Widgets Order [Admin Panel]
- [Added] WYSIWYG Editor in Admin Announcements [Admin Panel]
- [Added] Delete Account button in edit user page [Admin Panel]
- [Added] Set allowed file extension while selecting the files to upload

- [Fixed] Birthdate datetime format in profile page
- [Fixed] Delete friends & followers connections when delete user account
- [Fixed] Reactions box position while scrolling
- [Fixed] Minor Bugs

- [Removed] Windows Phone App

#== v2.6.1 == ( 23-11-2019 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|Faker|PHPMailer|reCAPTCHA|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [bootstrap.select|codemirror|datatables|easytimer|mustache|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome]

- [Added] Support for MySQL v8+
- [Added] Unusual Login Detection
- [Added] Admin ability to turn Unusual Login Detection On/Off [Admin Panel]
- [Added] Moderators Panel
- [Added] Colored Posts
- [Added] Admin ability to turn Colored Posts On/Off [Admin Panel]
- [Added] Manage Colored Posts Patterns [Admin Panel]
- [Added] Profile Backgrounds
- [Added] Admin ability enable/disable Profile Backgrounds [Admin Panel]
- [Added] New 404 Error Page Design
- [Added] Google Login with New APIs
- [Added] Delete Stories
- [Added] Affiliate URL with invite friends widget
- [Added] Group Admin can enable/disable Publishing Posts
- [Added] Group Admin can enable/disable Posts Approval System
- [Added] Event Admin can enable/disable Publishing Posts
- [Added] Event Admin can enable/disable Posts Approval System
- [Added] Log Out Of All Sessions
- [Added] Bank Transfer for Affiliates Withdrawal Requests
- [Added] Bank Transfer for Points Withdrawal Requests
- [Added] Custome Payment for Affiliates Withdrawal Requests
- [Added] Custome Payment for Points Withdrawal Requests
- [Added] Notify all system admins & moderators with Reports [Notifications]
- [Added] Notify all system admins & moderators with Verification Requests [Notifications]
- [Added] Notify all system admins with Bank Transfer [Notifications]
- [Added] Notify all system admins with Affiliates Withdrawal Requests [Notifications]
- [Added] Notify all system admins with Points Withdrawal Requests [Notifications]
- [Added] User Notifications with Bank Transfer Approve/Decline [Notifications]
- [Added] User Notifications with Affiliates Withdrawal Requests Approve/Decline [Notifications]
- [Added] User Notifications with Points Withdrawal Requests Approve/Decline [Notifications]
- [Added] Share Plugin
- [Added] Admin ability enable/disable Share Plugin [Admin Panel]
- [Added] Developers Apps
- [Added] Admin ability enable/disable Developers Apps [Admin Panel]
- [Added] Manage Posts from Admin Panel [Admin Panel]
- [Added] Manage Blogs from Admin Panel [Admin Panel]
- [Added] Manage Forums Threads & Replies from Admin Panel [Admin Panel]
- [Added] Edit in Admin/Moderator Panel Shortcut for Profiles
- [Added] Edit in Admin/Moderator Panel Shortcut for Pages
- [Added] Edit in Admin/Moderator Panel Shortcut for Groups
- [Added] Edit in Admin/Moderator Panel Shortcut for Events
- [Added] Mark All Reports As Safe [Admin Panel]
- [Added] Newsletter Consent (GDPR)
- [Added] Admin ability to turn Newsletter Consent (GDPR) On/Off [Admin Panel]
- [Added] Users Insights Cards [Admin Panel]
- [Added] Posts Insights Cards [Admin Panel]
- [Added] Pages Insights Cards [Admin Panel]
- [Added] Pager for Pages [Admin Panel]
- [Added] Pager for Groups [Admin Panel]
- [Added] Pager for Events [Admin Panel]
- [Added] Order for Pages Categories [Admin Panel]
- [Added] Order for Groups Categories [Admin Panel]
- [Added] Order for Events Categories [Admin Panel]
- [Added] Order for Blogs Categories [Admin Panel]
- [Added] Order for Market Categories [Admin Panel]
- [Added] Order for Movies Genres [Admin Panel]

- [Fixed] Stop previous video when play new one
- [Fixed] Chat box title with long text bug
- [Fixed] Minor Bugs

- [Removed] Google+ profile link from User & Page settings & profile page

#== v2.6.0 == ( 21-09-2019 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [codemirror|mustache|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome]

- [Added] Video Calls
- [Added] Admin ability to turn Video Calls On/Off [Admin Panel]
- [Added] Audio Calls
- [Added] Admin ability to turn Audio Calls On/Off [Admin Panel]
- [Added] Chat Typing Status
- [Added] Admin ability to turn Chat Typing Status On/Off [Admin Panel]
- [Added] Chat Seen Status
- [Added] Admin ability to turn Chat Seen Status On/Off [Admin Panel]
- [Added] Local Bank Transfers
- [Added] Admin ability to turn Bank Transfers On/Off [Admin Panel]
- [Added] Currencies Manager (Add/Edit/Delete) [Admin Panel]
- [Added] Purchases Pro-Package with Wallet Credit
- [Added] Admin ability to turn Purchases Pro-Package with Wallet Credit On/Off [Admin Panel]
- [Added] Memories
- [Added] Admin ability to turn Memories On/Off [Admin Panel]
- [Added] Discover Posts
- [Added] Admin ability to turn Discover Posts On/Off [Admin Panel]
- [Added] Popular Posts
- [Added] Admin ability to turn Popular Posts On/Off [Admin Panel]
- [Added] Poke System
- [Added] Admin ability to turn Poke System On/Off [Admin Panel]
- [Added] User Privacy for Pokes
- [Added] Gifts System
- [Added] Admin ability to turn Gifts System On/Off [Admin Panel]
- [Added] User Privacy for Gifts
- [Added] Invite Friends Widget
- [Added] Admin ability to turn Invite Friends Widget On/Off [Admin Panel]
- [Added] Max Post Characters Length [Admin Panel]
- [Added] Max Comment Characters Length [Admin Panel]
- [Added] Max Posts/Hour [Admin Panel]
- [Added] Max Comments/Hour [Admin Panel]
- [Added] Maximum Friends/User Limit [Admin Panel]
- [Added] Custom Home Page Wallpaper [Admin Panel]
- [Added] og-meta for Photo Page
- [Added] og-meta for Game Page
- [Added] Game will be Public if Website Public
- [Added] Verification Badge On/Off with Pro Package [Admin Panel]
- [Added] Free Users Daily Points Limit [Points System] [Admin Panel]
- [Added] Pro Users Daily Points Limit [Points System] [Admin Panel]

- [Fixed] Loading for modal when change from one to another
- [Fixed] Change Privacy of cover/profile photo post
- [Fixed] Delete user's pages, groups & events when delete his account
- [Fixed] Comments Duplicated while sending
- [Fixed] Change/Remove the default theme without mark other theme as default
- [Fixed] Minor Bugs

- [Removed] Intl PHP extension as requirement for Sngine

#== v2.5.10 == ( 21-06-2019 )
- [Updated] Android App
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|HybridAuth v3|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [jQuery|bootstrap.colorpicker|bootstrap.select|codemirror|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome]

- [Added] Post Reactions (like, love, haha ...etc)
- [Added] Reactions and Share Options to Blog
- [Added] Search Case Insensitive
- [Added] Support for PHP 7.3+
- [Added] Support for Nginx/IIS Server
- [Added] 2 new languages [Portuguese (Brazil) & Greek]
- [Added] Download User Information On/Off [Admin Panel]
- [Added] Auto Friend [Admin Panel]
- [Added] Auto Follow [Admin Panel]
- [Added] Auto Like [Admin Panel]
- [Added] Auto Join [Admin Panel]
- [Added] Garbage Collector [Admin Panel]
- [Added] Backup Database & Files [Admin Panel]
- [Added] Delete photos from photos page
- [Added] Videos Tab for Profiles
- [Added] Videos Tab for Pages
- [Added] Videos Tab for Groups
- [Added] Videos Tab for Events
- [Added] Video Views Count
- [Added] Audio Views Count
- [Added] New Video Player (fluidplayer)
- [Added] New Publisher Icons
- [Added] Trending #Hashtags
- [Added] Access any profile even if the user blocked the admin
- [Added] Admin can access any Private/Closed group/event in the system
- [Added] Affiliates Percentage from Package Price
- [Added] Custom Video Thumbnail
- [Added] Change Datetime Format [Admin Panel]
- [Added] Datetime Picker Translations

- [Fixed] Minor Bugs
- [Fixed] Album photos count & cover photo in pages, groups & events
- [Fixed] Disable "privacy changing" for cover photo/profile image posts
- [Fixed] Story close button on small screens

#== v2.5.9 == ( 26-04-2019 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization

- [Added] Download My Information
- [Added] Profile Completion
- [Added] Share the post to Timeline, Page & Group
- [Added] Read More for long text biography in Profile, Page, Group & Event Page
- [Added] Search for users by email & phone [Admin Panel]
- [Added] Delete all user posts [Admin Panel]
- [Added] Delete all page posts [Admin Panel]
- [Added] Delete all group posts [Admin Panel]
- [Added] Delete all event posts [Admin Panel]
- [Added] Edit Custom Fields values when edit User [Admin Panel]
- [Added] Edit Custom Fields values when edit Page [Admin Panel]
- [Added] Edit Custom Fields values when edit Group [Admin Panel]
- [Added] Edit Custom Fields values when edit Event [Admin Panel]
- [Added] Delete uploaded photos after delete (comment|reply)
- [Added] Delete uploaded photos after delete from the album

- [Fixed] Social Login Form Design
- [Fixed] Reset Header Counter when open the dropdown
- [Fixed] Custom Field description bug
- [Fixed] Lightbox tooltip close button bug
- [Fixed] Can't delete replies on my own post
- [Fixed] Minor Bugs

#== v2.5.8 == ( 06-04-2019 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|HybridAuth|PayPal|PHPMailer|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [bootstrap|mustache|jquery-ui|datatables|bootstrap.colorpicker|bootstrap.datetimepicker|bootstrap.select|codemirror|moment|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome]

- [Added] Sngine Default Theme v2.0 with Bootsrap 4+
- [Added] Night Mode On/Off
- [Added] Chat Message Sound On/Off ability
- [Added] Update @Mention functionality
- [Added] Disable Infinite Scroll on Mobile
- [Added] Custom Fields description & value translation ability

- [Fixed] Edit Post more than 2 time bug
- [Fixed] Messages counter on Mobile
- [Fixed] Comments count after delete replies
- [Fixed] Declined friend request on profile page
- [Fixed] Stroies with videos only publish bug
- [Fixed] UTF-8 Hashtags in Posts & Comments
- [Fixed] UTF-8 Names in Email & Noty Notifications
- [Fixed] UTF-8 Tags in Blogs
- [Fixed] All Reported Bugs

- [Removed] Google+ Login

#== v2.5.7 == ( 10-01-2019 )
- [Fixed] Minor Bugs

#== v2.5.6 == ( 01-01-2019 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|HybridAuth|PHPMailer|ReCaptcha|Smarty|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [mustache|bootstrap.select|codemirror|metismenu|moment|readmore|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome]

- [Added] Delete Uploaded (Photos, Video, Audio, File) after deleting posts
- [Added] Fake User Generator
- [Added] Verification Attachments for Users
- [Added] Verification Attachments for Pages
- [Added] Admin ability to turn Two-Factor Authentication On/Off
- [Added] Two-Factor Authentication via Email & Phone
- [Added] Two-Factor Authentication via Google Authenticator App
- [Added] New verification system for email & phone number
- [Added] Twitter Card Meta Tags
- [Added] Popular Posts
- [Added] Last Played Time in Games
- [Added] Use CDN for Bootstrap, FontAwesome & jQuery files
- [Added] Added Server Side Pager to Users in Admin Panel
- [Added] All AWS S3 Regions (10+ New Regions)
- [Added] robots.txt file
- [Added] Progress Bar for all uploadings
- [Added] Keyboard Shortcuts to scroll between posts
- [Added] New Publisher
- [Added] GIFs Support by Giphy in Publisher
- [Added] Admin ability to turn Giphy support in publisher On/Off
- [Added] Auto Ad-block Detector
- [Added] Admin ability to turn Auto Ad-block Detector On/Off
- [Added] Auto Ad-block Warning Message in admin panel ads control
- [Added] Auto Ad-block Warning Message in user ads manager
- [Added] New Stories System
- [Added] New Stories Publisher
- [Added] Videos in Stories
- [Added] New Product Publisher
- [Added] Product Status New or Old
- [Added] Product Price can be 0 or Free Product
- [Added] Edit button when edit post from mobile
- [Added] Edit button when edit comment/reply from mobile
- [Added] New Album (Add Photos) Publisher
- [Added] Turn Post Commenting On/Off
- [Added] Share Affiliates link
- [Added] Share post to Whatsapp
- [Added] Admin ability to change user points balance
- [Added] Admin ability to turn Points System on/off
- [Added] Points System
- [Added] Ads in Movies
- [Added] Admin ability to turn Movies System on/off
- [Added] Movies System
- [Added] Find Friends by location
- [Added] Changelog to admin panel

- [Fixed] Multiple stories for same user in same day
- [Fixed] Reposition cover photo on mobile
- [Fixed] _emoji-menu tabs in chat
- [Fixed] Post Privacy in Publisher
- [Fixed] Delete stories images in Publisher
- [Fixed] Publisher submit disabled while link scraping
- [Fixed] Open "Edit Post" several times
- [Fixed] Forum Thread Views Count
- [Fixed] Getting notifications from deleted users
- [Fixed] All Reported Bugs

#== v2.5.5 == ( 06-10-2018 )
- [Fixed] Minor Bugs

#== v2.5.4 == ( 10-09-2018 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|HybridAuth|Smarty|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [autosize|bootstrap.colorpicker|codemirror|datatables|mediaelement|metismenu|moment|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome]

- [Added] Secured Cookies [GDPR]
- [Added] Cookies Consent Notification [GDPR]
- [Added] Admin ability to turn Cookies Consent Notification On/Off [GDPR]
- [Added] Privacy Checkbox in Sign Up [GDPR]
- [Added] Newsletter Checkbox in User Settings [GDPR]
- [Added] Directions RTL & LTR in WYSIWYG Editor
- [Added] Language Flag instead of icon
- [Added] Admin ability to change user wallet balance
- [Added] Admin ability to turn blogs for users on/off [Admin Panel]
- [Added] Delete blog button from blog page
- [Added] Crop/Edit Profile Photo for Users
- [Added] Crop/Edit Profile Photo for Pages
- [Added] Crop/Edit Profile Photo for Groups
- [Added] Adjust Profile Cover Position for Users
- [Added] Adjust Profile Cover Position for Pages
- [Added] Adjust Profile Cover Position for Groups
- [Added] User isn't able to see blocked users comments at any posts and vice versa
- [Added] User isn't able to see  blocked users posts in mutual groups & events and vice versa
- [Added] Ads in Blog
- [Added] Widget in Blog
- [Added] Chat box name now clickable [Chat]
- [Added] Chat Colors [Chat]
- [Added] Blog Categories
- [Added] Manage Blog Categories in Admin Panel
- [Added] Abilty to post mobile emojies on posts, comments, and messages

- [Fixed] Disable blocked people from sent chat messages [Chat]
- [Fixed] When I delete the message of the “X” friend, then the friend “X” message to me but not display [Chat]
- [Fixed] Forums Order Bug
- [Fixed] Verified badge on Search Results & Notifications
- [Fixed] Uploaded GIF image check
- [Fixed] Blog URL for better SEO
- [Fixed] Pin/Unpin Posts for Pages
- [Fixed] Boost/Unboost Posts if package's limit reached
- [Fixed] Deleted Blogs in Search Results
- [Fixed] Notification post forum reply bug
- [Fixed] Event location if empty
- [Fixed] Negative amount in wallet transfer
- [Fixed] Empty post bug
- [Fixed] Upload page/group picture/cover from different admin
- [Fixed] Delete page/group picture/cover from different admin
- [Fixed] Blocked users from people you may know
- [Fixed] Minor Bugs

#== v2.5.3 == ( 20-05-2018 )
- [Updated] Documentation
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|HybridAuth|PayPal|PHPMailer|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [jQuery|dataTables|mediaelement|metisMenu|moment|noty|tinymce]
- [Updated] Sngine CSS Dependencies [Font-Awesome|Flag-Icon]

- [Added] Advanced ADS system for users
- [Added] User Wallet System
- [Added] Send message button in mobile version
- [Added] Posts Translation
- [Added] "Create Product" button in Market & My Products
- [Added] Social Links for Pages
- [Added] Action Button for Pages
- [Added] Groups Categories
- [Added] Custom Fields Order
- [Added] Custom Fields for Pages
- [Added] Custom Fields for Groups
- [Added] Custom Fields for Events
- [Added] Links posts to newsfeed filter
- [Added] Media posts to newsfeed filter
- [Added] Custom JavaScript Code (Header & Footer) from Admin Panel
- [Added] Garbage collector to remove all expired subscribers and their boosted posts and pages from Admin Panel
- [Added] Static Pages title can be translated
- [Added] Blogs in search results
- [Added] Blog cover in blog content
- [Added] Work website to profile info
- [Added] Country to profile info
- [Added] Manage my boosted posts
- [Added] Manage my boosted pages
- [Added] Manage Group Members
- [Added] Multiple Admins for Groups
- [Added] Manage Page Members
- [Added] Multiple Admins for Pages

- [Fixed] Link scraper trigger
- [Fixed] Left sidebar scroll
- [Fixed] Social signup first name and last name duplication
- [Fixed] VK Social Login
- [Fixed] Admin newsletter error due to timeout
- [Fixed] Exclude hidden posts from boosted posts
- [Fixed] Remove all boosted posts/pages after user package expired
- [Fixed] Banned users in "People you may know"
- [Fixed] Boost button is still here in Page even if you have disabled pro
- [Fixed] Lightbox arrows position on mobile
- [Fixed] Special characters in notifications
- [Fixed] All Reported Bugs

- [Removed] Bitcoin Payments

#== v2.5.2 == ( 01-03-2018 )
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [Twilio]
- [Updated] Sngine CSS Dependencies [Font-Awesome(v5)]

- [Added] Forums
- [Added] Mass Notifications from Admin Panel
- [Added] Change Language from URL
- [Added] Enhanced Static Pages in Admin Panel [Admin Panel]
- [Added] Add Geolocation Map in Event Page
- [Added] Admin ability to turn Polls on/off [Admin Panel]
- [Added] Admin ability to turn Browser Notifications on/off [Admin Panel]
- [Added] Admin ability to turn Noty Notifications on/off [Admin Panel]
- [Added] Invitations System
- [Added] Other Gender
- [Added] Edit Phone Number from User Settings
- [Added] Admin ability to edit user Phone Number [Admin Panel]
- [Added] Photo Quality (High|Medium|Low) [Admin Panel]
- [Added] Dynamic og-meta Tags

- [Fixed] Name validation rules
- [Fixed] Search find only a single word
- [Fixed] Find people filters with empty query
- [Fixed] Disabled pages/groups/events and user can see them but can't create
- [Fixed] Left sidebar scroll
- [Fixed] Delete old profile/cover photos delete the current one too
- [Fixed] Message button on mobile need to enter username again
- [Fixed] All Reported Bugs

#== v2.5.1 == ( 19-11-2017 )
- [Fixed] Minor Bugs

#== v2.5 == ( 9-11-2017 )
- [Updated] System Security
- [Updated] System Optimization
- [Updated] Sngine Libs [AWS|Embed|HybridAuth|PayPal|PHPMailer|ReCaptcha|Smarty|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [jQuery|jquery.form|jquery.inview|jquery.geocomplete|autosize|moment|mediaelementplayer|bootstrap.select|bootstrap.datetimepicker|bootstrap.colorpicker|metisMenu|dataTables]
- [Updated] Installer Wizard & Pre-Installation Check
- [Updated] Sngine GTmetrix Optimization
- [Updated] Sngine Google PageSpeed Optimization

- [Added] Romanian Language
- [Added] Events
- [Added] Admin ability to turn Events on/off [Admin Panel]
- [Added] Group Privacy (Public, Closed & Secret)
- [Added] New Group Layout
- [Added] Discover Pages
- [Added] Discover Groups
- [Added] Discover People
- [Added] Blogs
- [Added] Admin ability to turn Blogs on/off [Admin Panel]
- [Added] Invite Friends to Events
- [Added] Invite Friends to Pages
- [Added] Invite Friends to Groups
- [Added] Stories
- [Added] Admin ability to turn Stories on/off [Admin Panel]
- [Added] DayTime Messages (Good Morning, Afternoon, Evening)
- [Added] Admin ability to turn DayTime Messages on/off [Admin Panel]
- [Added] Replies
- [Added] Reply to Reply
- [Added] Comment Button for Mobile
- [Added] Emojies to the Publisher
- [Added] Stickers in [Posts|Comments|Chat]
- [Added] Emojis Center in admin panel [Admin Panel]
- [Added] Stickers Center in admin panel [Admin Panel]
- [Added] Discover Games
- [Added] User Played Games
- [Added] Recent Searches
- [Added] Browser Push Notifications
- [Added] Notification Highlights
- [Added] Noty Notifications
- [Added] Notifications Sound Toggle On/Off
- [Added] Friend Request email notification
- [Added] Posts Socail Share (Facebook, Twitter, ...etc)
- [Added] Admin ability to turn Socail Share on/off [Admin Panel]
- [Added] Add YouTube Smart Player (Better Performance)
- [Added] Admin ability to turn YouTube Smart Player on/off [Admin Panel]
- [Added] Posts Settings [Admin Panel]
- [Added] PRO Package Membership Management [User Settings]
- [Added] PRO Package Membership Management [Admin Panel]
- [Added] First Name + Last Name instead of Full Name
- [Added] Login with Email or Username
- [Added] Sessions & IPs info in edit users [Admin Panel]
- [Added] Admin ability to turn Home Random Profiles on/off [Admin Panel]
- [Added] Change Default Publisher Privacy from Admin Panel [Admin Panel]
- [Added] Newsletter accept HTML Email Templates [Admin Panel]
- [Added] @mentions now support UTF-8 charset
- [Added] Notifications after @mention after edit post/comment
- [Added] Ads in newsfeed
- [Added] Ads in Marketplace
- [Added] Enhance Ads designs & locations [Admin Panel]
- [Added] Enhance Widgets designs & locations [Admin Panel]
- [Added] New Passwords Hash System instead of MD5/SHA1
- [Added] Enhanced the debugging mode
- [Added] Sticky Sidebar in Homepage & Directory
- [Added] New default users, pages and groups profile picture

- [Fixed] CSS Bugs
- [Fixed] All Reported Bugs

#== v2.4.3 == ( 29-07-2017 )
- [Updated] Android APP
- [Fixed] Minor bugs

#== v2.4.2 == ( 21-03-2017 )
- [Updated] System optimization
- [Updated] Sngine JS Dependencies [mediaelementplayer]
- [Added] Stripe Receipt Email
- [Fixed] Page Verification Request
- [Fixed] Minor CSS bugs
- [Fixed] Minor bugs

#== v2.4.1 == ( 15-03-2017 )
- [Fixed] Admin ability to boost posts & pages without package
- [Fixed] Poll bug
- [Fixed] Installer CSS
- [Fixed] Verification Bug
- [Fixed] Manage Pages/Groups Bug
- [Fixed] Show Online Friends on Mobile
- [Fixed] Minor bugs

#== v2.4 == ( 06-03-2017 )
- [Updated] System Security
- [Updated] System optimization
- [Updated] Sngine Libs [AWS|Embed|HybridAuth|PayPal|PHPMailer|reCAPTCHA|Smarty|Stripe|Twilio]
- [Updated] Sngine JS Dependencies [jQuery|Bootstrap|Mustache|html5shiv|slimscroll|autosize|readmore|moment|datetimepicker|DataTables]
- [Updated] Sngine CSS Dependencies [Font-Awesome|Twemoji-Awesome|Flag-Icon]
- [Updated] Installer Wizard & Pre-Installation Check

- [Added] New Mobile UI Enhancement
- [Added] Support RTL text with LRT languages
- [Added] Charts to Admin Panel
- [Added] Enable/Disable Directory from admin panel
- [Added] Enable/Disable Market from admin panel
- [Added] Enable/Disable Contact us page from admin panel
- [Added] Contact Us page
- [Added] Enable/Disable Verification Requests from admin panel
- [Added] Enable/Disable Advanced Link Scraper from admin panel
- [Added] Advanced Link Scraper (to support short links like: https://youtu.be/5J...)
- [Added] Registration via Subscriptions Only
- [Added] Enable/Disable Pro Packages from admin panel 
- [Added] SMS Verfication
- [Added] Registration age restriction
- [Added] New Social Login [Instagram]
- [Added] SMTP SSL Encryption
- [Added] SMTP setFrom Email Address
- [Added] Test SMTP Connection from admin panel
- [Added] Email Notifications
- [Added] Enable/Disable Email notifications from admin panel
- [Added] SMS via Twilio
- [Added] Test SMS API Connection from admin panel
- [Added] Amazon S3 integration for uploads
- [Added] Payments Settings in admin panel
- [Added] PayPal payments
- [Added] CreditCard, BitCoin, Alipay payments
- [Added] 24 Currency
- [Added] Edit index wallpaper from admin panel
- [Added] Ability to add free custom CSS from admin panel
- [Added] Manage Market Categories from admin panel
- [Added] Manage Pro Packages
- [Added] Ability to Customize Pro Packages
- [Added] Manage Pro Subscribers
- [Added] Report Pro Packages Earnings
- [Added] Affiliates System
- [Added] Manage Affiliates Settings from admin panel
- [Added] Manage Affiliates Withdrawal Requests from admin panel
- [Added] Reports Enhancements in admin panel
- [Added] Blocking (Banned IPs) in admin panel
- [Added] Verification Requests for Users
- [Added] Verification Requests for Pages
- [Added] Verification Requests Manager in admin panel
- [Added] Custom User Profile Fields
- [Added] Privacy Settings for Custom Profile Fields
- [Added] Staic Pages in footer menu option
- [Added] Newsletter (aka Mailing list)
- [Added] Add multiple ads in the same place
- [Added] Add multiple widgets in the same place
- [Added] Relationship Status, Biography, Website & Social Links in user profile
- [Added] Mutiple Sessions 
- [Added] Mutiple Sessions Manager from user settings
- [Added] Enable/Disable Email notifications from user settings
- [Added] Enhance Username Validation (with reserved words)
- [Added] Make System Path in the config file not the database
- [Added] Manage User Affiliates from from user settings
- [Added] Manage User Affiliates Withdrawal Requests from user settings
- [Added] Post Feelings
- [Added] Polls
- [Added] Market
- [Added] Add verified icon with search results

- [Fixed] Installation with STRICT_TRANS_TABLES SQL mode defined
- [Fixed] Mobile image orientation after uploading
- [Fixed] Visitor "like, share & comment" issue
- [Fixed] Publisher dropdown menu if video/audio/file upload are disabled
- [Fixed] Privacy settings for chat when chat is disabled by the admin
- [Fixed] Link scraper 'http://..' typing error message
- [Fixed] Image uploader CSS bug
- [Fixed] Recaptcha CSS bug in sign up & home page
- [Fixed] GIF Player CSS bug
- [Fixed] CloudFlare IP addresses
- [Fixed] Publisher textarea height after new post
- [Fixed] Comment textarea height after new comment
- [Fixed] User's privacy settings of [friends|pages|groups] for visitors
- [Fixed] Read more with fixed height not number of lines for post and comment
- [Fixed] Chat Bugs
- [Fixed] Minor bugs

#== v2.3.1 == ( 22-01-2017 ) [Script security update]
- [Updated] Sngine Libs [PHPMailer]

#== v2.3 == ( 03-09-2016 )
- [Updated] Sngine Dependencies [Bootstrap|Font-Awesome|Flag-Icon|Twemoji-Awesome]
- [Updated] Cache system to speed up your website (97/100 on Google PageSpeed)
- [Updated] System Security
- [Updated] Improve Search to include wall posts and group posts

- [Added] Directory [Posts|Users|Pages|Groups|Games] for better SEO
- [Added] Photos section in User Profile
- [Added] Photos section in Pages
- [Added] Photos section in Groups
- [Added] Photo Albums for Users
- [Added] Photo Albums for Pages
- [Added] Photo Albums for Groups
- [Added] Google Map API integration
- [Added] Wall posts
- [Added] Edit Post
- [Added] Save Post
- [Added] Pin Post
- [Added] Edit Comment
- [Added] Announcements
- [Added] Timeline Filter
- [Added] New posts loader
- [Added] "Only me" as a new privacy for posts
- [Added] Time Translation [like “7 hours ago”]
- [Added] Groups posts on newsfeed
- [Added] New privacy settings for [Birthdate|Work|Location|Education] info
- [Added] New privacy settings for Wall posts [who can post on your wall]
- [Added] Make the search public for visitors
- [Added] Add/Change Favicon from admin panel
- [Added] Add/Change og-image from admin panel
- [Added] Enable/Disable wall posts from admin panel
- [Added] Search page as a new place for Ads & Widgets
- [Added] Search page as a new place for Ads & Widgets
- [Added] Improved email function/settings
- [Added] Make [User|Page|Group] profile picture & cover picture clickable

- [Fixed] Duplicated Posts
- [Fixed] Last seen time
- [Fixed] Report page & group
- [Fixed] Chat box name with special characters
- [Fixed] embed-ifram videos width
- [Fixed] Video Player for iPhone videos
- [Fixed] Admin reported post privacy
- [Fixed] Uploaded extensions check function
- [Fixed] See more line drop for long text
- [Fixed] Minor bugs

- [Removed] Material Theme


#== v2.2.3 == ( 26-07-2016 )
- [Updated] Sngine Dependencies [Smarty|HybridAuth|Google reCAPTCHA]


#== v2.2.2 == ( 23-07-2016 )
- [Updated] PHPMailer

- [Fixed] Minor bugs


#== v2.2 == ( 30-04-2016 )
- [Added] [Apps] Android APP
- [Added] [Apps] IOS APP
- [Added] [Apps] Windows Phone App
- [Added] [Admin] Website Public option | Disable it to prevent non logged users to view website
- [Added] [Admin] Cache System | Enable cache system to speed up your website
- [Added] [Admin] Webiste Keywords for better SEO
- [Added] [Admin] Pages Enabled | Users can create pages or only admins/moderators
- [Added] [Admin] Groups Enabled | Users can create groups or only admins/moderators
- [Added] [Admin] Profile visit notification | Turn the profile visit notification On and Off
- [Added] [Admin] Geolocation Enabled | Turn the post Geolocation On and Off
- [Added] [Admin] Getting started page | Enable/Disable getting started page after registration
- [Added] [Admin] Delete Account option | Allow users to delete their account
- [Added] [Admin] Accounts/IP | Number of accounts allowed to register per IP (0 for unlimited)
- [Added] [Admin] Chat Enabled | Turn the chat system On and Off
- [Added] [Admin] User Status Enabled | Turn the Last Seen On and Off
- [Added] [Admin] Uploads Prefix | Add a prefix to the uploaded files
- [Added] [Admin] Photo Upload | Enable photo upload to share & upload photos to the site
- [Added] [Admin] Allowed video extensions | Allowed video extensions (separated with comma ',')
- [Added] [Admin] Audio Upload | Enable audio upload to share & upload sounds to the site
- [Added] [Admin] Max audio size | The Maximum size of uploaded audio in posts in kilobytes (1M = 1024KB)
- [Added] [Admin] Allowed audio extensions | Allowed audio extensions (separated with comma ',')
- [Added] [Admin] File Upload | Enable file upload to share & upload sounds to the site
- [Added] [Admin] Max file size | The Maximum size of uploaded file in posts in kilobytes (1M = 1024KB)
- [Added] [Admin] Allowed file extensions | Allowed file extensions (separated with comma ',')
- [Added] [Admin] Censored Words Enabled | Enable/Disable Words to be censored
- [Added] [Admin] Censored Words | Words to be censored, separated by a comma (,)
- [Added] [Admin] Data Heartbeat | The update interval to check for new data (in seconds)
- [Added] [Admin] Chat Heartbeat | The update interval to check for new messages (in seconds)
- [Added] [Admin] Offline after | The amount of time to be considered online since the last user's activity (in seconds)
- [Added] [Admin] Custom Design
- [Added] [Admin] Build Version in admin panel main menu
- [Added] Update all Sngine Dependencies to latest version
- [Added] Uploads folder now arranged with years/months and file types like WordPress
- [Added] Getting started page
- [Added] User now can upload and share audio file
- [Added] User now can upload and share any file
- [Added] New video player with more advanced features
- [Added] New audio player with more advanced features
- [Added] Improved Security

- [Fixed] Chat on mobile and remove chat heads
- [Fixed] Hashtag pattern to support (_) like #hash_hash
- [Fixed] Load More in public mode
- [Fixed] Privacy of posts for only friends in public mode
- [Fixed] Image remover after upload in publisher
- [Fixed] Username validation (admin and must be 3 char)
- [Fixed] Minor bugs


#== v2.1 == ( 16-02-2016 )
- [Added] Sngine 2.1 Structure for better caching and performance
- [Added] Sngine APIs v1.0
- [Added] Transfer Awesome features from Material theme to default theme
- [Added] New Social Logins [Linkedin & Vkontakte]
- [Added] New Link Scraper
- [Added] New Documentation
- [Added] og-meta tags for Social Marketing

- [Fixed] Chat messages duplication
- [Fixed] SMTP Emails CharSet encoding
- [Fixed] RTL Chatbox Icons alignment "Arabic Language"
- [Fixed] Post word-break
- [Fixed] Material design icons render
- [Fixed] See more for visitor
- [Fixed] Minor bugs

#== v2.0.5 == ( 20-01-2016 )
- [Added] New Theme [Material Theme]
- [Added] Android APP

- [Fixed] Minor bugs

#== v2.0.4 == ( 12-01-2016 )
- [Added] Enable/Disable videos from admin panel
- [Added] Upload site logo from admin panel
- [Added] Delete user account from admin panel
- [Added] Delete user from settings page
- [Added] Security enhancements

- [Fixed] Fixed links on iPhone
- [Fixed] Comments encoding problem
- [Fixed] Minor bugs

#== v2.0.3 == ( 04-01-2016 )
- [Added] Update the settings page structure in admin panel
- [Added] Verified sign beside user name in post/comment header 
- [Added] infinite scroll
- [Added] Report Page/Group
- [Added] Video Post & Video Uploader
- [Added] Google Analytics Code from Admin Panel
- [Added] Set Max uploaded (Profile Picture, Cover Photo, Uploaded Photo & Uploaded Video) size from Admin Panel
- [Added] Photo Gallery 
- [Added] Next & Prev Photo for lightbox
- [Added] Uploading Multiple Images
- [Added] Updated Profile Picture/Cover Photo Posts

- [Fixed] Website description Bug
- [Fixed] People you may know will show only activated people (with email confirmation)
- [Fixed] Posting to the group issue
- [Fixed] Photos Grid System
- [Fixed] Single photo post comments/likes

#== v2.0.2 == ( 05-12-2015 )
- [Added] Social Logins (Facebook, Twitter, Google) 
- [Added] Linked Accounts (Facebook, Twitter, Google)
- [Added] Admin Panel Login while system shutdown with no problem
- [Added] Reduce Image size and handle uploader security 
- [Added] UI Enhancements (From your feedback)

- [Fixed] Minor bugs

#== v2.0.1 == ( 16-11-2015 )
- [Added] All UI edits for mobile/desktop Layout.
- [Added] Add 7 new languages. (10 Languages now available)
- [Added] Add the widgets (So admin can add widget like Like Facebook Page ...etc) 
- [Added] Start the Plugins engine.
- [Added] Add 1st Plugin (Games)
- [Added] Add the User the Ability to delete their own Pages/Groups.
- [Added] Add the mutual friends counter on user profile.
- [Added] Add shared post title
- [Added] New Static pages appear in the footer
- [Added] Add who share a post.
- [Added] Admin can delete post directly from post's menu

- [Fixed] Fixed the suggested pages/groups section (get only new pages/groups)
- [Fixed] Minor bugs

#== v2.0.0 == ( 06-11-2015 )
- [Initial] Initial version